<?php


remove_filter('the_content', 'wpautop');

/**
 * Custom admin login header logo
 */
function custom_login_logo() {
    $o = new webnus_options();
    $logo = $o->webnus_admin_login_logo();
    if(isset($logo) && !empty($logo))
    {
        echo '<style type="text/css">'.
             'h1 a { background-image:url('.$logo.') !important; }'.
         '</style>';
    }
}
add_action( 'login_head', 'custom_login_logo' );


add_action( 'admin_enqueue_scripts', 'mw_enqueue_color_picker' );
function mw_enqueue_color_picker( $hook_suffix ) {
    // first check that $hook_suffix is appropriate for your admin page
    wp_enqueue_style( 'wp-color-picker' );
    wp_enqueue_script( 'my-script-handle', get_template_directory_uri().'/nc-options/color.js', array( 'wp-color-picker' ), false, true );
}


add_filter('the_excerpt', 'do_shortcode');



/*
 * Loading JavaScripts
 */


function mytheme_gfonts() {
    $protocol = is_ssl() ? 'https' : 'http';
    wp_enqueue_style( 'mytheme-opensans', "$protocol://fonts.googleapis.com/css?family=Raleway:300,400,700,900" );}
add_action( 'wp_enqueue_scripts', 'mytheme_gfonts' );

function quentin_script_loader() {

    wp_enqueue_style(
            'stylecss', get_template_directory_uri() . '/style.css', null, null
    );
    wp_enqueue_script(
            'custom_script', get_template_directory_uri() . '/js/quentin-custom.js', null, null, true
    );

    wp_enqueue_script(
            'jcarousel', get_template_directory_uri() . '/js/jcarousel.js', null, null, true
    );

    wp_enqueue_script(
            'bootstrapalert', get_template_directory_uri() . '/js/bootstrap-alert.js', null, null, true
    );

    wp_enqueue_script(
            'bootstrapdropdown', get_template_directory_uri() . '/js/bootstrap-dropdown.js', null, null, true
    );

    wp_enqueue_script(
            'bootstraptab', get_template_directory_uri() . '/js/bootstrap-tab.js', null, null, true
    );

    wp_enqueue_script(
            'bootstraptooltip', get_template_directory_uri() . '/js/bootstrap-tooltip.js', null, null, true
    );

    wp_enqueue_style(
            'dynamic_css', get_template_directory_uri() . '/dyncss.php', null, null
    );


    wp_enqueue_script(
            'flexjs', get_template_directory_uri() . '/flex/jquery.flexslider-min.js', null, null, true
    );

    wp_enqueue_script(
            'flexstart', get_template_directory_uri() . '/flex/flexstart.js', null, null, true
    );

    
    wp_enqueue_script(
            'masonry', get_template_directory_uri() . '/js/jquery.masonry.min.js', null, null, true
    );
    wp_enqueue_script(
            'prettyphoto', get_template_directory_uri() . '/js/jquery.prettyPhoto.js', null, null, true
    );
    wp_enqueue_script(
            'modernizer', get_template_directory_uri() . '/js/modernizr.custom.11889.js', null, null, true
    );
    wp_enqueue_script(
            'slide1', get_template_directory_uri() . '/js/slide1.min.jquery.js', null, null, true
    );
   
    
      wp_enqueue_script(
            'base64', get_template_directory_uri() . '/js/base64.js', null, null, true
    );
    
    wp_enqueue_style(
            'flexcss', get_template_directory_uri() . '/css/flexslider.css', null, null
    );
    
    
}

add_action('wp_enqueue_scripts', 'quentin_script_loader');

add_action('admin_init', 'base64_include_js');

function base64_include_js(){
    wp_enqueue_script(
            'base64', get_template_directory_uri() . '/js/base64.js', null, null, true
    );
}

/*
 * END Loading javascripts
 */



include_once get_template_directory() . '/optinit/main.php';
include_once get_template_directory() . '/optinit/init.php';





add_filter('excerpt_length', 'webnus_excerpt_length', 999);

function webnus_excerpt_length($len) {
    $o = new webnus_options();
    return $o->webnus_blog_excerpt_len();
}

$o = new webnus_options();

add_theme_support('post-formats', array('aside', 'gallery', 'video'));

add_theme_support('post-thumbnails');
set_post_thumbnail_size(420, 420, true);
add_image_size('blog-thumb', 420, 419, true);
add_image_size("thumbnail2", 220, 165, true);
add_image_size("portfo-thumb", 460, 345, true);

$portfolio_image_width = $o->webnus_portfolio_image_width();
$portfolio_image_height = $o->webnus_portfolio_image_height();

add_image_size("portfolio", $portfolio_image_width, $portfolio_image_height, true);



if (!isset($content_width))
    $content_width = 940;

if (function_exists('register_sidebar'))
    register_sidebar(array(
        'name' => 'Main Sidebar Widgets',
        'id' => 'sidebar-widgets',
        'description' => 'Widgets for the sidebar.',
        'before_widget' => '<aside id="%1$s" class="listbox1 widget %2$s">',
        'after_widget' => '</aside>',
        'before_title' => '<h4 class="subtitle">',
        'after_title' => '</h4>'
    ));



register_sidebar(array(
    'name' => 'Footer Sidebar 1',
    'before_widget' => '<div class="disclaimer four columns">',
    'after_widget' => '</div>',
    'before_title' => '<h4 class="subtitle">',
    'after_title' => '</h4> <br />',
));

register_sidebar(array(
    'name' => 'Footer  Sidebar 2',
    'before_widget' => '<div class="four columns">',
    'after_widget' => '</div>',
    'before_title' => '<h4 class="subtitle">',
    'after_title' => '</h4> <br />',
));
register_sidebar(array(
    'name' => 'Footer Sidebar 3',
    'before_widget' => '<div class="four columns">',
    'after_widget' => '</div>',
    'before_title' => '<h4 class="subtitle">',
    'after_title' => '</h4> <br />',
));
register_sidebar(array(
    'name' => 'Footer Sidebar 4',
    'before_widget' => '<div class="four columns ">',
    'after_widget' => '</div>',
    'before_title' => '<h4 class="subtitle">',
    'after_title' => '</h4> <br />',
));

register_sidebar(array(
    'name' => 'Home Slider',
    'before_widget' => '',
    'after_widget' => '',
));

/* register_sidebar(array(
  'name' => 'Home Bluebox',
  'before_widget' => '',
  'after_widget' => '',

  )); */

// read more
function new_excerpt_more($more) {
    global $post;
    $o = new webnus_options();
    return '... <br><br><a class="readmore" href="' . get_permalink($post->ID) . '">' . $o->webnus_blog_readmore_text() . '</a>';
}

add_filter('excerpt_more', 'new_excerpt_more');

function remove_more_jump_link($link) {
    $offset = strpos($link, '#more-');
    if ($offset) {
        $end = strpos($link, '"', $offset);
    }
    if ($end) {
        $link = substr_replace($link, '', $offset, $end - $offset);
    }
    return $link;
}

add_filter('the_content_more_link', 'remove_more_jump_link');

//menu
function register_my_menus() {
    register_nav_menus(
            array(
                'header-menu' => __('Header Menu', YALIN_TEXT_DOMAIN),
                'footer-menu' => __('Footer Navigation Menu', YALIN_TEXT_DOMAIN),
                'header-top-menu' => __('Header Top Navigation', YALIN_TEXT_DOMAIN)
            )
    );
}

add_action('init', 'register_my_menus');

//
function my_wp_nav_menu_args($args = '') {
    $args['container'] = false;
    $args['menu_class'] = false;

    return $args;
}



add_theme_support('automatic-feed-links');


if (file_exists(get_template_directory() . '/nc-options/nc-options.php'))
    include_once(get_template_directory() . '/nc-options/nc-options.php');
include_once get_template_directory() . '/shortcodes/nc-sc.php';

// line
include('cpt.php');


include('commentsfunc.php');
include('plgs/get-the-image.php');
include('plgs/recent-posts-plus.php');
include('plgs/quick-flickr-widget.php');
include('plgs/wp-pagenavi/wp-pagenavi.php');

if (false)
    wp_link_pages(); 
if(false){
    posts_nav_link();
    paginate_links();
    the_tags();
    get_post_format(0);
}
?>