<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till </header>
 *
 * @package WordPress
 * @subpackage Quentin WP
 * @since Quentin WP 1.0.0
 */?>
<!DOCTYPE html>
<!--[if IE 6]>
<html id="ie6" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 7]>
<html id="ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html id="ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 6) | !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
<meta charset="<?php bloginfo('charset');?>">
<?php 


DEFINE ('THEME_ABS_PATH', str_replace("\\", "/", get_template_directory()));

include_once  THEME_ABS_PATH. '/optinit/init.php';


$o  = new webnus_options();


?>
<title>
<?php
	global $page, $paged;
	wp_title( '|', true, 'right' );
	bloginfo( 'name' );
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		echo " | $site_description";
	if ( $paged >= 2 || $page >= 2 )
		echo ' | ' . sprintf( __( 'Page %s' ,YALIN_TEXT_DOMAIN), max( $paged, $page ) );
	?>
</title>
<?php 
wp_enqueue_script("jquery"); 
?>
<meta name="description" content="<?php
global $page_seo_meta;
$seo_meta = !empty($page_seo_meta)?$page_seo_meta->the_meta():null;

if(!empty($seo_meta) && !empty($seo_meta['webnus_seo_options'][0]['seo_desc']))
{
echo($seo_meta['webnus_seo_options'][0]['seo_desc']);
}else{
    if ( is_single() ) {
        single_post_title('', true); 
    } else {
        bloginfo('name'); echo " - "; bloginfo('description');
    }
}
    ?>" />
<meta name="keywords" content="<?php
global $page_seo_meta;
$seo_meta = !empty($page_seo_meta)?$page_seo_meta->the_meta():null;
if(!empty($seo_meta) && !empty($seo_meta['webnus_seo_options'][0]['seo_keyword']))
{
echo($seo_meta['webnus_seo_options'][0]['seo_keyword']);
}
    ?>" />
<meta name="author" content="<?php echo get_bloginfo('name'); ?>">

<!-- Mobile Specific Metas
  ================================================== -->
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

<!-- CSS
  ================================================== -->
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
<?php 


?>

<!-- Favicons
  ================================================== -->
<link rel="shortcut icon" href="<?php echo $o->webnus_fav_icon(); ?>">
<?php 
$iphone_icon = $o->webnus_apple_iphone_icon();
$ipad_icon = $o->webnus_apple_ipad_icon();
?>
<?php if(!empty($iphone_icon)) { ?>
<link rel="apple-touch-icon-precomposed" href="<?php echo $iphone_icon ?>"/>
<?php } ?>
<?php if(!empty($ipad_icon)) { ?>
<link rel="apple-touch-icon-precomposed" sizes="72x72" href="<?php echo $ipad_icon; ?>">
<?php } ?>
<!-- JS
  ================================================== -->
<!--[if lt IE 9]>
<script src="<?php echo get_template_directory_uri(); ?>/js/modernizr.custom.11889.js" type="text/javascript"></script>
<![endif]-->
<!-- HTML5 Shiv events (end)-->
<?php echo $o->webnus_get_google_fonts(); ?>

<?php

add_action('wp_head','background_image_style');
function background_image_style(){
    $o = new webnus_options();
    echo $o->webnus_background_image_style();
}
	if ( is_singular() && $o->webnus_allow_comments_on_page() )
		wp_enqueue_script( 'comment-reply' );
	
	
	
	    
        echo $o->webnus_space_before_head();
        
wp_head();
echo $o->webnus_custom_css();
?></head>

<body <?php body_class(); ?>>
<div id="<?php echo $o->webnus_background_layout(); ?>" class="colorskin-<?php echo $o->webnus_color_skin(); ?>">
<?php
if($o->webnus_header_topbar_enable() ) {
?><div class="top-bar">
    <div class="container">
      <div class="<?php
      
      if($o->webnus_header_topbar_leftcontent() == 3) echo 'socailfollow'; else echo 'top-links';
      
      ?> lftflot">
        <?php 
        if($o->webnus_header_topbar_leftcontent()==1){
if(has_nav_menu('header-top-menu')){
$menuParameters = array(
	'theme_location'=>'header-top-menu',
	'container'       => false,
	'echo'            => false,
	'items_wrap'      => '%3$s',
	'after'      => '|',
	'depth'           => 0,
);

echo strip_tags(wp_nav_menu( $menuParameters ), '<a>' );
}
}
elseif($o->webnus_header_topbar_leftcontent()==2){
?>

 <img src="<?php echo get_template_directory_uri() ?>/images/social_phone.png"><p> <?php echo $o->webnus_header_phone(); ?> </p><img src="<?php echo get_template_directory_uri() ?>/images/social_mail.png"><p> <?php echo $o->webnus_header_email();  ?></p>
      <?php }elseif($o->webnus_header_topbar_leftcontent()==3){
      	
      	
      		if($o->webnus_top_social_icons_facebook())
      			echo '<a href="'. $o->webnus_facebook_ID() .'" class="facebook"><img src="'. get_template_directory_uri() .'/images/social_facebook2.png" alt=""></a>';
      	
      		if($o->webnus_top_social_icons_twitter())
      			echo '<a href="https://twitter.com/@'. $o->webnus_twitter_ID() .'" class="twitter"><img src="'. get_template_directory_uri() .'/images/social_twitter2.png" alt=""></a>';
      	
      		if($o->webnus_top_social_icons_dribbble())
      			echo '<a href="'. $o->webnus_dribbble_ID().'" class="dribble"><img src="'. get_template_directory_uri() .'/images/social_dribble.png" alt=""></a>';
      	
      		if($o->webnus_top_social_icons_pinterest())
      			echo '<a href="'. $o->webnus_pinterest_ID() .'" class="pinterest"><img src="'. get_template_directory_uri() .'/images/social_pinterest.png" alt=""></a>';
      	
      		if($o->webnus_top_social_icons_vimeo())
      			echo '<a href="'. $o->webnus_vimeo_ID() .'" class="vimeo"><img src="'. get_template_directory_uri() .'/images/social_vimeo.png" alt=""></a>';
      	
      		if($o->webnus_top_social_icons_youtube())
      			echo '<a href="'. $o->webnus_youtube_ID() .'" class="youtube"><img src="'. get_template_directory_uri() .'/images/social_youtube.png" alt=""></a>';
            	
                if($o->webnus_top_social_icons_google())
      			echo '<a href="'. $o->webnus_google_ID() .'" class="google"><img src="'. get_template_directory_uri() .'/images/social_google.png" alt=""></a>';
                
                if($o->webnus_top_social_icons_linkedin())
      			echo '<a href="'. $o->webnus_linkedin_ID() .'" class="linkedin"><img src="'. get_template_directory_uri() .'/images/social_linkedin.png" alt=""></a>';
                
                if($o->webnus_top_social_icons_rss())
      			echo '<a href="'. $o->webnus_rss_ID() .'" class="rss"><img src="'. get_template_directory_uri() .'/images/social_rss.png" alt=""></a>';
      	
      	
      	
      	   
      }
      
      echo $o->webnus_top_left_tagline();
      
      ?>
      </div>
      <div class="<?php
      
      if($o->webnus_header_topbar_rightcontent() == 3) echo 'socailfollow'; else echo 'top-links';
      
      ?> rgtflot ">         <?php 
       

      	        if($o->webnus_header_topbar_rightcontent()==1){
if(has_nav_menu('header-top-menu')){
$menuParameters = array(
	'theme_location'=>'header-top-menu',
	'container'       => false,
	'echo'            => false,
	'items_wrap'      => '%3$s',
	'after'      => '|',
	'depth'           => 0,
);

echo strip_tags(wp_nav_menu( $menuParameters ), '<a>' );
}
}
elseif($o->webnus_header_topbar_rightcontent()==2){
?>

 <img src="<?php echo get_template_directory_uri() ?>/images/social_phone.png"><p> <?php echo $o->webnus_header_phone(); ?> </p><img src="<?php echo get_template_directory_uri() ?>/images/social_mail.png"><p> <?php echo $o->webnus_header_email();  ?></p>
      <?php }elseif($o->webnus_header_topbar_rightcontent()==3){
      	
      	
      		if($o->webnus_top_social_icons_facebook())
      			echo '<a href="'. $o->webnus_facebook_ID() .'" class="facebook"><img src="'. get_template_directory_uri() .'/images/social_facebook2.png" alt=""></a>';
      	
      		if($o->webnus_top_social_icons_twitter())
      			echo '<a href="https://twitter.com/@'. $o->webnus_twitter_ID() .'" class="twitter"><img src="'. get_template_directory_uri() .'/images/social_twitter2.png" alt=""></a>';
      	
      		if($o->webnus_top_social_icons_dribbble())
      			echo '<a href="'. $o->webnus_dribbble_ID().'" class="dribble"><img src="'. get_template_directory_uri() .'/images/social_dribble.png" alt=""></a>';
      	
      		if($o->webnus_top_social_icons_pinterest())
      			echo '<a href="'. $o->webnus_pinterest_ID() .'" class="pinterest"><img src="'. get_template_directory_uri() .'/images/social_pinterest.png" alt=""></a>';
      	
      		if($o->webnus_top_social_icons_vimeo())
      			echo '<a href="'. $o->webnus_vimeo_ID() .'" class="vimeo"><img src="'. get_template_directory_uri() .'/images/social_vimeo.png" alt=""></a>';
      	
      		if($o->webnus_top_social_icons_youtube())
      			echo '<a href="'. $o->webnus_youtube_ID() .'" class="youtube"><img src="'. get_template_directory_uri() .'/images/social_youtube.png" alt=""></a>';
            	
                if($o->webnus_top_social_icons_google())
      			echo '<a href="'. $o->webnus_google_ID() .'" class="google"><img src="'. get_template_directory_uri() .'/images/social_google.png" alt=""></a>';
                
                if($o->webnus_top_social_icons_linkedin())
      			echo '<a href="'. $o->webnus_linkedin_ID() .'" class="linkedin"><img src="'. get_template_directory_uri() .'/images/social_linkedin.png" alt=""></a>';
                
                if($o->webnus_top_social_icons_rss())
      			echo '<a href="'. $o->webnus_rss_ID() .'" class="rss"><img src="'. get_template_directory_uri() .'/images/social_rss.png" alt=""></a>';
      	
      	   
      }
      
      echo $o->webnus_top_right_tagline();
      
      ?> </div>
    </div>
  </div><?php } ?>
<?php

if($o->webnus_header_menu_type()>1) { ?>
 <header id="header">
  <div  class="container">
    <div class="four columns logo">
      <?php
			  $header_logo = $o->webnus_logo();
                if ($header_logo) {
                    ?>
      <a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo $header_logo ?>" alt="logo"></a><br>
     
    
    <?php } else { ?>
    <a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home">
    <h2 id="site-title"><?php bloginfo( 'name' ); ?>
      
      <small>
      <?php 
                
                $slogan = $o->webnus_slogan();
               
                if( empty($slogan))
                bloginfo( 'description' );
                else
                echo $slogan;
                
                
                 ?>
      </small></h2></a>
 
  
  <?php 
            };
  ?> 
    
     </div>
     <?php         
  if($o->webnus_header_logo_rightside()>0){
	if($o->webnus_header_logo_rightside()==1){
            ?>
  <div class="twelve columns alignright">
    <?php get_search_form(); ?>
  </div>
<?php
}else{ ?>
<div class="twelve columns top-co-inf"><div class="top-links"> <img src="<?php echo get_template_directory_uri(); ?>/images/social_phone.png"><p> <?php echo $o->webnus_header_phone(); ?> </p><img src="<?php echo get_template_directory_uri(); ?>/images/social_mail.png"><p> <?php echo $o->webnus_header_email(); ?></p></div></div>
<?php 
}
}
?>
</div>
<nav id="nav-wrap" class="nav-wrap2 <?php echo ($o->webnus_header_menu_type()==3 || $o->webnus_header_menu_type()==5)? 'darknavi':''; ?> <?php echo ($o->webnus_header_menu_type()>3)? 'mn4':''; ?>">
  <div class="container">
    <?php 
		
		
		
		/* wp_nav_menu( array(
		 'container' =>false,
		 'menu_class' => 'nav',
		 'echo' => true,
		 'before' => '',
		 'after' => '',
		 'link_before' => '',
		 'link_after' => '',
		 'depth' => 0,
		 'walker' => new description_walker())
		); */
		
		
		if ( has_nav_menu( 'header-menu' ) ) { 
					wp_nav_menu( array( 'theme_location' => 'header-menu', 'container' => 'false', 'menu_id' => 'nav', 'depth' => '5', 'fallback_cb' => 'wp_page_menu', 'items_wrap' => '<ul id="%1$s" class="sixteen columns">%3$s</ul>',  'walker' => new description_walker()) );                
					} ?>
  </div>
</nav>

</header>
<?php } 
//end menu type 2 or 3
else{
//begin menu type 1
?>
 
 <header id="header">
<div  class="container">
<div class="four columns logo"><?php
			  $header_logo = $o->webnus_logo();
                if ($header_logo) {
                    ?><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo $header_logo ?>" alt="logo"></a><br>
<h4><small><?php 

$slogan = $o->webnus_slogan();

if(empty($header_logo)){
if( empty($slogan))
	bloginfo( 'description' );
else
	echo $slogan; 
}

?></small></h4></div>                
            <?php } else { ?>
                <h4 id="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><strong><?php bloginfo( 'name' ); ?></strong></a><br><small><?php 
                
                
                
                
               
                if( empty($slogan))
                bloginfo( 'description' );
                else
                echo $slogan;
                
                
                 ?></small></h4></div><?php 
            }; ?>
			
<nav id="nav-wrap" class="nav-wrap1 twelve columns">
		<?php 
		
		
		
		/* wp_nav_menu( array(
		 'container' =>false,
		 'menu_class' => 'nav',
		 'echo' => true,
		 'before' => '',
		 'after' => '',
		 'link_before' => '',
		 'link_after' => '',
		 'depth' => 0,
		 'walker' => new description_walker())
		); */
		
		
		if ( has_nav_menu( 'header-menu' ) ) { 
					wp_nav_menu( array( 'theme_location' => 'header-menu', 'container' => 'false', 'menu_id' => 'nav', 'depth' => '5', 'fallback_cb' => 'wp_page_menu', 'items_wrap' => '<ul id="%1$s">%3$s</ul>',  'walker' => new description_walker2()) );                
					} ?>        
	</nav>
		<!-- /nav-wrap -->
</div>	
</header>
<?php } ?>
<!-- end-header -->