<?php


if ( ! defined( 'ABSPATH' ) )
	die( "Can't load this file directly" );

class MyGallery
{
	function __construct() {
		add_action( 'admin_init', array( $this, 'action_admin_init' ) );
	}
	
	function action_admin_init() {
		// only hook up these filters if we're in the admin panel, and the current user has permission
		// to edit posts and pages
		if ( current_user_can( 'edit_posts' ) && current_user_can( 'edit_pages' ) ) {
			add_filter( 'mce_buttons_3', array( $this, 'filter_mce_button3' ) );
                        add_filter( 'mce_buttons_4', array( $this, 'filter_mce_button4' ) );
                        
			add_filter( 'mce_external_plugins', array( $this, 'filter_mce_plugin' ) );
		}
	}
	
	function filter_mce_button3( $buttons ) {
		// add a separation before our button, here our button's id is "mygallery_button"
		array_push( $buttons
                        ,'row'
                        ,'one_half'
                        ,'one_third'
                        ,'two_third'
                        ,'one_fourth'
                        ,'one_fifth' 
                        ,'iconbox1'
                        ,'iconbox2'
                        ,'iconbox3'
                        ,'button'
                        ,'alert'
                        ,'tooltip'
                        ,'highlight'
                        ,'dropcap'
                        ,'list'
                        ,'clear'
                        ,'line'
                        ,'latesprojects'
                        ,'latestblog'
                        ,'progress'
                        ,'pricing_table2'
                       
                       
                        
                        );
		return $buttons;
	}
	function filter_mce_button4( $buttons ) {
		// add a separation before our button, here our button's id is "mygallery_button"
		array_push( $buttons
                       
                        ,'bloxgray'
                        ,'bloxdark'
                        ,'faq'
                        ,'processbox'
                        ,'tab'
                        ,'navtab'
                        ,'accordion'
                        ,'ourclients'
                        ,'clients'
                        ,'distance1'
                        ,'distance2'
                        ,'distance3'
                        ,'link1'
                        ,'boxlink'
                        ,'paragraph'
                        ,'title'
                        ,'subtitle'
						,'bigtitle1'
                        ,'bigtitle2'
                        ,'ourteam1'
                        ,'ourteam2'
                        ,'callout'
                        ,'testimonial'
						
						);
		return $buttons;
	}
       
	function filter_mce_plugin( $plugins ) {
		// this plugin file will work the magic of our button
		$plugins['alert'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['iconbox1'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['iconbox2'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['iconbox3'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['button'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['tooltip'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['highlight'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['dropcap'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['list'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['clear'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['line'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['tab'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['navtab'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['accordion'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['ourclients'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['latesprojects'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['latestblog'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['progress'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['pricing_table2'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['title'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['ourteam1'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['ourteam2'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['callout'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['testimonial'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['one_third'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['two_third'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['one_half'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['one_fourth'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['one_fifth'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['row'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['bloxgray'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['bloxdark'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['faq'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['processbox'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['bigtitle1'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['bigtitle2'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['boxlink'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['distance1'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['distance2'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['distance3'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['link1'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['paragraph'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
                $plugins['subtitle'] = get_template_directory_uri() . '/shortcodes/nc-sc.js';
		return $plugins;
	}
}

$mygallery = new MyGallery();
